## ros-one-mavros 1.20.0-1jammy.20251023.0409

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mavros)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  angles
  diagnostic_msgs
  diagnostic_updater
  eigen_conversions
  geographic_msgs
  geometry_msgs
  libmavconn
  mavros_msgs
  nav_msgs
  pluginlib
  rosconsole_bridge
  roscpp
  sensor_msgs
  std_msgs
  std_srvs
  tf2_eigen
  tf2_ros
  trajectory_msgs
)

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS system)

## Find Eigen
find_package(Eigen3)
if(NOT EIGEN3_FOUND)
  # Fallback to cmake_modules
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
  set(EIGEN3_LIBRARIES ${EIGEN_LIBRARIES})
endif()

## Find GeographicLib
# Append to CMAKE_MODULE_PATH since debian/ubuntu installs
# FindGeographicLib.cmake in a nonstand location
set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};/usr/share/cmake/geographiclib")
find_package(GeographicLib REQUIRED)

## Check if the datasets are installed
include(CheckGeographicLibDatasets)

include(MavrosMavlink)

# detect if sensor_msgs has BatteryState.msg
# http://answers.ros.org/question/223769/how-to-check-that-message-exists-with-catkin-for-conditional-compilation-sensor_msgsbatterystate/
list(FIND sensor_msgs_MESSAGE_FILES "msg/BatteryState.msg" BATTERY_STATE_MSG_IDX)
if(${BATTERY_STATE_MSG_IDX} GREATER -1)
  add_definitions(
    -DHAVE_SENSOR_MSGS_BATTERYSTATE_MSG
  )
endif()

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()


###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES mavros
  CATKIN_DEPENDS diagnostic_msgs diagnostic_updater eigen_conversions geographic_msgs geometry_msgs libmavconn mavros_msgs message_runtime nav_msgs pluginlib roscpp sensor_msgs std_msgs tf2_ros trajectory_msgs
  DEPENDS Boost EIGEN3 GeographicLib
)

###########
## Build ##
###########

include_directories(
  include
  SYSTEM
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${mavlink_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
  ${GeographicLib_INCLUDE_DIRS}
)

add_library(mavros
  src/lib/enum_sensor_orientation.cpp
  src/lib/enum_to_string.cpp
  src/lib/ftf_frame_conversions.cpp
  src/lib/ftf_quaternion_utils.cpp
  src/lib/mavlink_diag.cpp
  src/lib/mavros.cpp
  src/lib/rosconsole_bridge.cpp
  src/lib/uas_data.cpp
  src/lib/uas_stringify.cpp
  src/lib/uas_timesync.cpp
)
add_dependencies(mavros
  ${catkin_EXPORTED_TARGETS}
)
target_link_libraries(mavros
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${GeographicLib_LIBRARIES}
)
if(NOT APPLE)
  target_link_libraries(mavros
    atomic
  )
endif()

add_library(mavros_plugins
  src/plugins/3dr_radio.cpp
  src/plugins/actuator_control.cpp
  src/plugins/altitude.cpp
  src/plugins/command.cpp
  src/plugins/dummy.cpp
  src/plugins/ftp.cpp
  src/plugins/geofence.cpp
  src/plugins/global_position.cpp
  src/plugins/hil.cpp
  src/plugins/home_position.cpp
  src/plugins/imu.cpp
  src/plugins/local_position.cpp
  src/plugins/manual_control.cpp
  src/plugins/mission_protocol_base.cpp
  src/plugins/nav_controller_output.cpp
  src/plugins/param.cpp
  src/plugins/rallypoint.cpp
  src/plugins/rc_io.cpp
  src/plugins/safety_area.cpp
  src/plugins/setpoint_accel.cpp
  src/plugins/setpoint_attitude.cpp
  src/plugins/setpoint_position.cpp
  src/plugins/setpoint_raw.cpp
  src/plugins/setpoint_velocity.cpp
  src/plugins/setpoint_trajectory.cpp
  src/plugins/sys_status.cpp
  src/plugins/sys_time.cpp
  src/plugins/vfr_hud.cpp
  src/plugins/waypoint.cpp
  src/plugins/wind_estimation.cpp
)
add_dependencies(mavros_plugins
  mavros
)
target_link_libraries(mavros_plugins
  mavros
  ${catkin_LIBRARIES}
)

## Declare a cpp executable
add_executable(mavros_node
  src/mavros_node.cpp
)
add_dependencies(mavros_node
  mavros
)
target_link_libraries(mavros_node
  mavros
  ${catkin_LIBRARIES}
)

add_executable(gcs_bridge
  src/gcs_bridge.cpp
)
target_link_libraries(gcs_bridge
  mavros
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
file(GLOB SCRIPTS ${PROJECT_SOURCE_DIR}/scripts/*)
catkin_install_python(PROGRAMS
  ${SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
install(TARGETS gcs_bridge mavros mavros_node mavros_plugins
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES
  mavros_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(libmavros-frame-conversions-test test/test_frame_conversions.cpp)
  target_link_libraries(libmavros-frame-conversions-test mavros)

  catkin_add_gtest(libmavros-sensor-orientation-test test/test_sensor_orientation.cpp)
  target_link_libraries(libmavros-sensor-orientation-test mavros)

  catkin_add_gtest(libmavros-quaternion-utils-test test/test_quaternion_utils.cpp)
  target_link_libraries(libmavros-quaternion-utils-test mavros)
## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

endif()

# vim: ts=2 sw=2 et:

=== debian/changelog ===
ros-one-mavros (1.20.0-1jammy.20251023.0409) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 23 Oct 2025 04:09:04 +0000

ros-one-mavros (1.20.0-0jammy) jammy; urgency=high

  * add param to odom plugin
  * add frame_id parameter
  * Contributors: EnderMandS

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 10 Oct 2024 00:00:00 -0000

ros-one-mavros (1.19.0-0jammy) jammy; urgency=high

  * gps_global_origin: remove LLA to ECEF conversion
    gps_global_origin is being published as
    geographic_msgs::GeoPointStamped
    message, which wants LLA format
    https://docs.ros.org/en/api/geographic_msgs/html/msg/GeoPointStamped.html
    FIX https://github.com/mavlink/mavros/issues/1381
  * Contributors: Beniamino Pozzan

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 06 Jun 2024 00:00:00 -0000

ros-one-mavros (1.18.0-0jammy) jammy; urgency=high

  * sys_status.cpp: improve timeout code
  * sys_status.cpp: Add a SYS_STATUS message publisher
  * Contributors: Dr.-Ing. Amilcar do Carmo Lucas

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 03 Mar 2024 00:00:00 -0000

ros-one-mavros (1.17.0-0jammy) jammy; urgency=high

  * cog: regenerate all
  * Bugfix/update map origin with home position (#1892 <https://github.com/mavlink/mavros/issues/1892>)
    * Update map origin with home position
    * Uncrustify
    * Revert "Uncrustify"
    This reverts commit f1387c79c7670cc241986586436e3da43842e877.
    * Change to relative topic
    ---------
    Co-authored-by: Natalia Molina <mailto:molina-munoz@wingcopter.com>
  * Merge pull request #1865 <https://github.com/mavlink/mavros/issues/1865> from scoutdi/warnings
    Fix / suppress some build warnings
  * mavros: Remove extra ';'
  * Suppress warnings from included headers
  * Contributors: Morten Fyhn Amundsen, Vladimir Ermakov, natmol

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 09 Sep 2023 00:00:00 -0000

ros-one-mavros (1.16.0-0jammy) jammy; urgency=high

  * Merge pull request #1829 <https://github.com/mavlink/mavros/issues/1829> from snwu1996/latched_gp_origin_pub
    Made it such that the gp_origin topic publisher is latched.
  * made it such that the gp_origin topic published latched.
  * Merge pull request #1817 <https://github.com/mavlink/mavros/issues/1817> from lucasw/pluginlib_hpp
    use hpp instead of deprecated .h pluginlib headers
  * use hpp instead of deprecated .h pluginlib headers
  * Contributors: Lucas Walter, Shu-Nong Wu, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 05 May 2023 00:00:00 -0000

ros-one-mavros (1.15.0-0jammy) jammy; urgency=high

  * Merge pull request #1806 <https://github.com/mavlink/mavros/issues/1806> from scoutdi/fix-some-warnings
    mavros: Fix some warnings
  * mavros: Fix some warnings
  * Contributors: Morten Fyhn Amundsen, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 30 Dec 2022 00:00:00 -0000

ros-one-mavros (1.14.0-0jammy) jammy; urgency=high

  * scripts: waypoint and param files are text, not binary
    Fix #1784 <https://github.com/mavlink/mavros/issues/1784>
  * Merge pull request #1780 <https://github.com/mavlink/mavros/issues/1780> from snktshrma/master
    guided_target: accept position-target-global-int messages
  * plugins: add guided_target to accept offboard position targets
    Update guided_target.cpp
    Update guided_target.cpp
    Update mavros_plugins.xml
    Update CMakeLists.txt
    Added offboard_position.cpp
    Update apm_config.yaml
    Update offboard_position.cpp
    Update offboard_position.cpp
    Rename offboard_position.cpp to guided_target.cpp
    Update CMakeLists.txt
    Update mavros_plugins.xml
    Update apm_config.yaml
    Update guided_target.cpp
  * Merge pull request #1775 <https://github.com/mavlink/mavros/issues/1775> from acxz/find-geographiclib
    use already installed FindGeographicLib.cmake
  * add cmake module path for geographiclib on debian based systems
  * Merge pull request #1744 <https://github.com/mavlink/mavros/issues/1744> from amilcarlucas/pr_gimbal_diagnostics_fixes
    mount_control.cpp: detect MOUNT_ORIENTATION stale messages
  * mount_control.cpp: detect MOUNT_ORIENTATION stale messages
    correct MountConfigure response success
    correct constructor initialization order
    some gimbals send negated/inverted angle measurements, correct that to obey the MAVLink frame convention using run-time parameters
  * Merge pull request #1743 <https://github.com/mavlink/mavros/issues/1743> from amilcarlucas/pr_apm_config
    apm_config.yaml: add mount configuration
  * apm_config.yaml: add mount configuration
  * Merge pull request #1732 <https://github.com/mavlink/mavros/issues/1732> from amilcarlucas/pr-meminfo-fix
    MEMINFO fixes
  * sys_status.cpp fix free memory for values > 64KiB
  * Merge pull request #1716 <https://github.com/mavlink/mavros/issues/1716> from amilcarlucas/avoid-harcoded-values
    sys_status.cpp: do not use harcoded constants
  * Merge pull request #1711 <https://github.com/mavlink/mavros/issues/1711> from amilcarlucas/diagnose-up-to-n-batteries
    Diagnose up-to 10 batteries
  * *_config.yaml: document usage of multiple batteries diagnostics
  * sys_status.cpp: fix compilation
  * sys_status.cpp: support diagnostics on up-to 10 batteries
    Uses as many battery monitors as the user specified in min_voltage parameter.
    Add myself as a contributor, this is not my first patch to this file
  * Merge pull request #1712 <https://github.com/mavlink/mavros/issues/1712> from amilcarlucas/fix-disabled-diagnostics
    sys_status.cpp: fix enabling of mem_diag and hwst_diag
  * sys_status.cpp: do not use harcoded constants
  * sys_status.cpp: Timeout on MEMINFO and HWSTATUS mavlink messages and publish on the diagnostics
    Use atomic variable to prevent potential threading problems
  * sys_status.cpp: fix enabling of mem_diag and hwst_diag


=== debian/control ===
Source: ros-one-mavros
Section: misc
Priority: optional
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), geographiclib-tools, libboost-all-dev, libeigen3-dev, libgeographic-dev, ros-one-angles, ros-one-catkin, ros-one-cmake-modules, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-eigen-conversions, ros-one-geographic-msgs, ros-one-geometry-msgs, ros-one-libmavconn, ros-one-mavlink, ros-one-mavros-msgs, ros-one-nav-msgs, ros-one-pluginlib, ros-one-rosconsole-bridge, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf2-eigen, ros-one-tf2-ros, ros-one-trajectory-msgs
Homepage: http://wiki.ros.org/mavros
Standards-Version: 3.9.2

Package: ros-one-mavros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geographiclib-tools, libboost-all-dev, libeigen3-dev, libgeographic-dev, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-eigen-conversions, ros-one-geographic-msgs, ros-one-geometry-msgs, ros-one-libmavconn, ros-one-mavlink, ros-one-mavros-msgs, ros-one-message-runtime, ros-one-nav-msgs, ros-one-pluginlib, ros-one-rosconsole-bridge, ros-one-roscpp, ros-one-rospy, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf2-eigen, ros-one-tf2-ros, ros-one-trajectory-msgs
Description: MAVROS -- MAVLink extendable communication node for ROS with proxy for Ground Control Station.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-mavros//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-mavros 1.20.0-1jammy.20251207.2103

=== debian/changelog ===
ros-one-mavros (1.20.0-1jammy.20251207.2103) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 07 Dec 2025 21:03:50 +0000

## ros-one-mavros 1.20.0-1jammy.20260221.0042

=== debian/changelog ===
ros-one-mavros (1.20.0-1jammy.20260221.0042) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 21 Feb 2026 00:42:21 +0000

## ros-one-mavros 1.20.0-1noble.20251023.0405

=== debian/changelog ===
ros-one-mavros (1.20.0-1noble.20251023.0405) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 23 Oct 2025 04:05:56 +0000

ros-one-mavros (1.20.0-0noble) noble; urgency=high

  * add param to odom plugin
  * add frame_id parameter
  * Contributors: EnderMandS

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 10 Oct 2024 00:00:00 -0000

ros-one-mavros (1.19.0-0noble) noble; urgency=high

  * gps_global_origin: remove LLA to ECEF conversion
    gps_global_origin is being published as
    geographic_msgs::GeoPointStamped
    message, which wants LLA format
    https://docs.ros.org/en/api/geographic_msgs/html/msg/GeoPointStamped.html
    FIX https://github.com/mavlink/mavros/issues/1381
  * Contributors: Beniamino Pozzan

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 06 Jun 2024 00:00:00 -0000

ros-one-mavros (1.18.0-0noble) noble; urgency=high

  * sys_status.cpp: improve timeout code
  * sys_status.cpp: Add a SYS_STATUS message publisher
  * Contributors: Dr.-Ing. Amilcar do Carmo Lucas

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 03 Mar 2024 00:00:00 -0000

ros-one-mavros (1.17.0-0noble) noble; urgency=high

  * cog: regenerate all
  * Bugfix/update map origin with home position (#1892 <https://github.com/mavlink/mavros/issues/1892>)
    * Update map origin with home position
    * Uncrustify
    * Revert "Uncrustify"
    This reverts commit f1387c79c7670cc241986586436e3da43842e877.
    * Change to relative topic
    ---------
    Co-authored-by: Natalia Molina <mailto:molina-munoz@wingcopter.com>
  * Merge pull request #1865 <https://github.com/mavlink/mavros/issues/1865> from scoutdi/warnings
    Fix / suppress some build warnings
  * mavros: Remove extra ';'
  * Suppress warnings from included headers
  * Contributors: Morten Fyhn Amundsen, Vladimir Ermakov, natmol

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 09 Sep 2023 00:00:00 -0000

ros-one-mavros (1.16.0-0noble) noble; urgency=high

  * Merge pull request #1829 <https://github.com/mavlink/mavros/issues/1829> from snwu1996/latched_gp_origin_pub
    Made it such that the gp_origin topic publisher is latched.
  * made it such that the gp_origin topic published latched.
  * Merge pull request #1817 <https://github.com/mavlink/mavros/issues/1817> from lucasw/pluginlib_hpp
    use hpp instead of deprecated .h pluginlib headers
  * use hpp instead of deprecated .h pluginlib headers
  * Contributors: Lucas Walter, Shu-Nong Wu, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 05 May 2023 00:00:00 -0000

ros-one-mavros (1.15.0-0noble) noble; urgency=high

  * Merge pull request #1806 <https://github.com/mavlink/mavros/issues/1806> from scoutdi/fix-some-warnings
    mavros: Fix some warnings
  * mavros: Fix some warnings
  * Contributors: Morten Fyhn Amundsen, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 30 Dec 2022 00:00:00 -0000

ros-one-mavros (1.14.0-0noble) noble; urgency=high

  * scripts: waypoint and param files are text, not binary
    Fix #1784 <https://github.com/mavlink/mavros/issues/1784>
  * Merge pull request #1780 <https://github.com/mavlink/mavros/issues/1780> from snktshrma/master
    guided_target: accept position-target-global-int messages
  * plugins: add guided_target to accept offboard position targets
    Update guided_target.cpp
    Update guided_target.cpp
    Update mavros_plugins.xml
    Update CMakeLists.txt
    Added offboard_position.cpp
    Update apm_config.yaml
    Update offboard_position.cpp
    Update offboard_position.cpp
    Rename offboard_position.cpp to guided_target.cpp
    Update CMakeLists.txt
    Update mavros_plugins.xml
    Update apm_config.yaml
    Update guided_target.cpp
  * Merge pull request #1775 <https://github.com/mavlink/mavros/issues/1775> from acxz/find-geographiclib
    use already installed FindGeographicLib.cmake
  * add cmake module path for geographiclib on debian based systems
  * Merge pull request #1744 <https://github.com/mavlink/mavros/issues/1744> from amilcarlucas/pr_gimbal_diagnostics_fixes
    mount_control.cpp: detect MOUNT_ORIENTATION stale messages
  * mount_control.cpp: detect MOUNT_ORIENTATION stale messages
    correct MountConfigure response success
    correct constructor initialization order
    some gimbals send negated/inverted angle measurements, correct that to obey the MAVLink frame convention using run-time parameters
  * Merge pull request #1743 <https://github.com/mavlink/mavros/issues/1743> from amilcarlucas/pr_apm_config
    apm_config.yaml: add mount configuration
  * apm_config.yaml: add mount configuration
  * Merge pull request #1732 <https://github.com/mavlink/mavros/issues/1732> from amilcarlucas/pr-meminfo-fix
    MEMINFO fixes
  * sys_status.cpp fix free memory for values > 64KiB
  * Merge pull request #1716 <https://github.com/mavlink/mavros/issues/1716> from amilcarlucas/avoid-harcoded-values
    sys_status.cpp: do not use harcoded constants
  * Merge pull request #1711 <https://github.com/mavlink/mavros/issues/1711> from amilcarlucas/diagnose-up-to-n-batteries
    Diagnose up-to 10 batteries
  * *_config.yaml: document usage of multiple batteries diagnostics
  * sys_status.cpp: fix compilation
  * sys_status.cpp: support diagnostics on up-to 10 batteries
    Uses as many battery monitors as the user specified in min_voltage parameter.
    Add myself as a contributor, this is not my first patch to this file
  * Merge pull request #1712 <https://github.com/mavlink/mavros/issues/1712> from amilcarlucas/fix-disabled-diagnostics
    sys_status.cpp: fix enabling of mem_diag and hwst_diag
  * sys_status.cpp: do not use harcoded constants
  * sys_status.cpp: Timeout on MEMINFO and HWSTATUS mavlink messages and publish on the diagnostics
    Use atomic variable to prevent potential threading problems
  * sys_status.cpp: fix enabling of mem_diag and hwst_diag


=== debian/control ===
Source: ros-one-mavros
Section: misc
Priority: optional
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), geographiclib-tools, libboost-all-dev, libeigen3-dev, libgeographiclib-dev, ros-one-angles, ros-one-catkin, ros-one-cmake-modules, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-eigen-conversions, ros-one-geographic-msgs, ros-one-geometry-msgs, ros-one-libmavconn, ros-one-mavlink, ros-one-mavros-msgs, ros-one-nav-msgs, ros-one-pluginlib, ros-one-rosconsole-bridge, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf2-eigen, ros-one-tf2-ros, ros-one-trajectory-msgs
Homepage: http://wiki.ros.org/mavros
Standards-Version: 3.9.2

Package: ros-one-mavros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geographiclib-tools, libboost-all-dev, libeigen3-dev, libgeographiclib-dev, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-eigen-conversions, ros-one-geographic-msgs, ros-one-geometry-msgs, ros-one-libmavconn, ros-one-mavlink, ros-one-mavros-msgs, ros-one-message-runtime, ros-one-nav-msgs, ros-one-pluginlib, ros-one-rosconsole-bridge, ros-one-roscpp, ros-one-rospy, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf2-eigen, ros-one-tf2-ros, ros-one-trajectory-msgs
Description: MAVROS -- MAVLink extendable communication node for ROS with proxy for Ground Control Station.

## ros-one-mavros 1.20.0-1noble.20260221.0113

=== debian/changelog ===
ros-one-mavros (1.20.0-1noble.20260221.0113) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 21 Feb 2026 01:13:33 +0000
